FontType (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts

## Class FontType

- java.lang.Object
- - org.apache.fop.fonts.FontType

-     public class FontType
      extends java.lang.Object

  This class enumerates all supported font types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FontType` | `CIDTYPE0`
    `static FontType` | `MMTYPE1` Adobe Multiple Master Type 1 fonts
    `static FontType` | `OTHER` Collective identifier for "other" font types
    `static FontType` | `TRUETYPE` TrueType fonts
    `static FontType` | `TYPE0` Adobe Type 0 fonts (composite font)
    `static FontType` | `TYPE1` Adobe Type 1 fonts
    `static FontType` | `TYPE1C`
    `static FontType` | `TYPE3` Adobe Type 3 fonts ("user-defined" fonts)

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FontType(java.lang.String name, int value)` Construct a font type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontType` | `byName(java.lang.String name)` Returns the FontType by name.
    `static FontType` | `byValue(int value)` Returns the FontType by value.
    `java.lang.String` | `getName()` Returns the name
    `int` | `getValue()` Returns the value
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OTHER

          public static final FontType OTHER

      Collective identifier for "other" font types

    - #### TYPE0

          public static final FontType TYPE0

      Adobe Type 0 fonts (composite font)

    - #### TYPE1

          public static final FontType TYPE1

      Adobe Type 1 fonts

    - #### MMTYPE1

          public static final FontType MMTYPE1

      Adobe Multiple Master Type 1 fonts

    - #### TYPE3

          public static final FontType TYPE3

      Adobe Type 3 fonts ("user-defined" fonts)

    - #### TRUETYPE

          public static final FontType TRUETYPE

      TrueType fonts

    - #### TYPE1C

          public static final FontType TYPE1C

    - #### CIDTYPE0

          public static final FontType CIDTYPE0

  - ### Constructor Detail

    - #### FontType

          protected FontType(java.lang.String name,
                             int value)

      Construct a font type.
      Parameters:
        `name` - a font type name
        `value` - a font type value

  - ### Method Detail

    - #### byName

          public static FontType byName(java.lang.String name)

      Returns the FontType by name.
      Parameters:
        `name` - Name of the font type to look up
      Returns:
        the font type

    - #### byValue

          public static FontType byValue(int value)

      Returns the FontType by value.
      Parameters:
        `value` - Value of the font type to look up
      Returns:
        the font type

    - #### getName

          public java.lang.String getName()

      Returns the name
      Returns:
        the name

    - #### getValue

          public int getValue()

      Returns the value
      Returns:
        the value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.